Mail archive
alpine-aports

[alpine-aports] [PATCH] main/freeswitch: Upgrade to 1.6.13. Remove cruft. Modernize APKBUILD.

From: Przemyslaw Pawelczyk <przemoc_at_zoho.com>
Date: Thu, 1 Dec 2016 22:08:09 +0100

---
 main/freeswitch/APKBUILD | 51 +++++++++++++++---------------------------------
 1 file changed, 16 insertions(+), 35 deletions(-)
diff --git a/main/freeswitch/APKBUILD b/main/freeswitch/APKBUILD
index 197575bfb7de..5fed680cf5c1 100644
--- a/main/freeswitch/APKBUILD
+++ b/main/freeswitch/APKBUILD
_at_@ -2,15 +2,12 @@
 # Contributor: Michael Mason <ms13sp_at_gmail.com>
 # Contributor: Cameron Banta <cbanta_at_gmail.com>
 pkgname=freeswitch
-pkgver=1.6.11
+pkgver=1.6.13
 pkgrel=0
 pkgdesc="A communications platform written in C from the ground up"
 url="http://www.freeswitch.org"
 arch="all"
 license="GPL"
-depends=""
-pkgusers="freeswitch"
-pkggroups="freeswitch"
 makedepends="
 	bash
 	bsd-compat-headers
_at_@ -54,20 +51,15 @@ makedepends="
 	autoconf automake libtool
 	"
 install="$pkgname.pre-install $pkgname.pre-upgrade"
+FREESWITCH_USER=freeswitch
+FREESWITCH_GROUP=freeswitch
+pkgusers="$FREESWITCH_USER"
+pkggroups="$FREESWITCH_GROUP"
 subpackages="$pkgname-dbg $pkgname-dev $pkgname-flite $pkgname-timezones::noarch
 	$pkgname-sample-config:conf:noarch $pkgname-freetdm $pkgname-sangoma
 	$pkgname-snmp $pkgname-pgsql $pkgname-perl $pkgname-perlesl"
 
-_json_c="json-c-0.9.tar.gz"
-_flite="flite-2.0.0-release.tar.bz2"
-_lame="lame-3.98.4.tar.gz"
-_libshout="libshout-2.2.2.tar.gz"
-_mpg123="mpg123-1.13.2.tar.gz"
-_libsources="
-	"
-
 source="http://files.freeswitch.org/freeswitch-releases/$pkgname-$pkgver.tar.xz
-	$_libsources
 	0001-mod_avmd-use-posix-isinf.patch
 	0001-sofia-sip-byte-order.patch
 	0002-FS-verto-bswap_64.patch
_at_@ -77,26 +69,15 @@ source="http://files.freeswitch.org/freeswitch-releases/$pkgname-$pkgver.tar.xz
 	freeswitch.initd
 	"
 
-_builddir="$srcdir/$pkgname-$pkgver"
+builddir="$srcdir/$pkgname-$pkgver"
 
 prepare() {
-	cd "$_builddir"/libs
-	for i in $_libsources; do
-		local f=${i##*/}
-		ln -s ../../${f%.tar*} . || return 1
-	done
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; cd "$_builddir"; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-	cd "$srcdir"
-	update_config_sub || return 1
+	default_prepare || return 1
+	update_config_sub
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	cp -f "$srcdir/modules.conf" modules.conf || return 1
 
 	CFLAGS="-Wno-unused-but-set-variable" ./configure \
_at_@ -124,12 +105,12 @@ build() {
 	make -j1 all || return 1
 
 	# build perlesl module
-	cd "$_builddir"/libs/esl
+	cd "$builddir"/libs/esl
 	make -j1 perlmod || return 1
 
 }
 package(){
-	cd "$_builddir"
+	cd "$builddir"
 	make -j1 DESTDIR="$pkgdir" install samples-conf samples-htdocs \
 		|| return 1
 
_at_@ -137,10 +118,10 @@ package(){
 		"$pkgdir"/etc/init.d/$pkgname || return 1
 	install -m644 -D "$srcdir"/$pkgname.confd \
 		"$pkgdir"/etc/conf.d/$pkgname || return 1
-	chown -R freeswitch:freeswitch "$pkgdir"/var/*/freeswitch
+	chown -R $FREESWITCH_USER:$FREESWITCH_GROUP "$pkgdir"/var/*/freeswitch
 
 	# install perlesl module
-	cd "$_builddir"/libs/esl
+	cd "$builddir"/libs/esl
 	make -j1 DESTDIR="$pkgdir" perlmod-install
 }
 
_at_@ -228,7 +209,7 @@ conf() {
 	mkdir -p "$pkgdir"/etc/freeswitch/scripts
 }
 
-md5sums="6a273b0190c0e00fcb3d4b4267352078  freeswitch-1.6.11.tar.xz
+md5sums="c3fd287abda3c745215ed08c3be49823  freeswitch-1.6.13.tar.xz
 ea60f2be81b480c555e9182a99b08308  0001-mod_avmd-use-posix-isinf.patch
 3b5a8c48900130e89d4e57307b0f9c34  0001-sofia-sip-byte-order.patch
 1c08df4cf4ef737e6cc6945f9462f08e  0002-FS-verto-bswap_64.patch
_at_@ -236,7 +217,7 @@ ea60f2be81b480c555e9182a99b08308  0001-mod_avmd-use-posix-isinf.patch
 8027ab932f00579c6d04cb5dde102cda  modules.conf
 c608cca8ad773acebf201f581438c7e7  freeswitch.confd
 3b0bf4847a61afa28229b58763f4c400  freeswitch.initd"
-sha256sums="c1744fbe8c5d0b478dc493f3b4c5eca8ba3a010df1de034eff738ffb2aea0668  freeswitch-1.6.11.tar.xz
+sha256sums="64a8a14fc5df92893d956868f144042891cc3e2d096bbf56241fec706635a8b7  freeswitch-1.6.13.tar.xz
 2dcd13894c8f601e59033fffc21942c41cdc10eef3c6ab15bd9d37d9be2ea9ae  0001-mod_avmd-use-posix-isinf.patch
 7425b9fdc1e4ade9ea34e79e6aa69a61b4700a9562b347c2c157217a32570534  0001-sofia-sip-byte-order.patch
 2685eb17fcd4510e46bb1d88be5550c3cb7b08f2acccfb41b2c680480c91b63e  0002-FS-verto-bswap_64.patch
_at_@ -244,7 +225,7 @@ ab437c92149b6fc88bc2fc8a228d6a5f8af574e2c90469a6dc4c753d13972c34  getlib.patch
 4db8934a4b41f5c61d1fba8fbd68c91fd18bddcf07419301e3db91df7e911488  modules.conf
 846a29a361ef6eecd77876963b5c0133699c40fa8b34c68df42d5f8a1a1915b1  freeswitch.confd
 aa0d89221ffa47eba4a0e085f6041ee198476409dd15d1e90c5c357ba683f432  freeswitch.initd"
-sha512sums="f0f7fd4d03ef50bad98dc5e10f1b34135711667ff7762ea4ec56c3579af0112b409074a51c356838766130bc60857b57263431c2f250939ab380eb0206953367  freeswitch-1.6.11.tar.xz
+sha512sums="0520be6d0c8e6adfa5ad9016c377f8f058fef2300399b8c907cdc9ab20396cf201a8558a860705462f8e94ada164b50532058e194ea7780c11e19e0c726fdc62  freeswitch-1.6.13.tar.xz
 4702d9e2f7eaa13bba87f9275ccc58d40c96bf0f966b6b31dfdd60c04ce8e8c544ebad30bec158568520bef7697bdf01b034a02a11c73440de43f9d2dfdd72f7  0001-mod_avmd-use-posix-isinf.patch
 8572fcb10242d7064a1a8f7e62e2d6f9cf0eb1725233791592f9f0a5b39e7979e6804406a6fe7d653444d579d92e7696860fd766708c9906f6d604f28e0a0c63  0001-sofia-sip-byte-order.patch
 5f93150e1acd632df98bc3bed5613fb1e45180ae4096dcfee5c060da213c8355339260eaf5758cd77c785f6d84cf0661650a872ec574b586ab19803d4f6955f8  0002-FS-verto-bswap_64.patch
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Dec 01 2016 - 22:08:09 GMT